API REST precisa, ligera y rápida para el cálculo de festividades del calendario judío y hebreo, búsqueda de festividades por clave, búsqueda de festividades próximas, filtrado por rango de fechas y búsqueda por palabras clave a través del calendario gregoriano
{
"service": "Jewish Holidays API",
"status": "ok"
}
curl --location --request GET 'https://zylalabs.com/api/13528/jewish-holidays-api/30056/health+check' --header 'Authorization: Bearer YOUR_API_KEY'
{
"holidays": [
{
"description": "New Year for Trees",
"duration_days": 1,
"end_date": "2026-02-02",
"key": "tu_bishvat",
"name": "Tu Bishvat",
"start_date": "2026-02-02",
"start_description": "Starts at sunset on the previous day",
"weekday": "Monday",
"year": 5786
},
{
"description": "Feast of Lots",
"duration_days": 1,
"end_date": "2026-03-03",
"key": "purim",
"name": "Purim",
"start_date": "2026-03-03",
"start_description": "Starts at sunset on the previous day",
"weekday": "Tuesday",
"year": 5786
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2026-04-08",
"key": "pesach",
"name": "Pesach",
"start_date": "2026-04-02",
"start_description": "Starts at sunset on the previous day",
"weekday": "Thursday",
"year": 5786
},
{
"description": "Festival of Weeks",
"duration_days": 2,
"end_date": "2026-05-23",
"key": "shavuot",
"name": "Shavuot",
"start_date": "2026-05-22",
"start_description": "Starts at sunset on the previous day",
"weekday": "Friday",
"year": 5786
},
{
"description": "Fast of Tisha BAv",
"duration_days": 1,
"end_date": "2026-07-23",
"key": "tisha_bav",
"name": "Tisha BAv",
"start_date": "2026-07-23",
"start_description": "Starts at sunset on the previous day",
"weekday": "Thursday",
"year": 5786
},
{
"description": "Jewish New Year",
"duration_days": 2,
"end_date": "2026-09-13",
"key": "rosh_hashanah",
"name": "Rosh Hashanah",
"start_date": "2026-09-12",
"start_description": "Starts at sunset on the previous day",
"weekday": "Saturday",
"year": 5787
},
{
"description": "Day of Atonement",
"duration_days": 1,
"end_date": "2026-09-21",
"key": "yom_kippur",
"name": "Yom Kippur",
"start_date": "2026-09-21",
"start_description": "Starts at sunset on the previous day",
"weekday": "Monday",
"year": 5787
},
{
"description": "Feast of Tabernacles",
"duration_days": 7,
"end_date": "2026-10-02",
"key": "sukkot",
"name": "Sukkot",
"start_date": "2026-09-26",
"start_description": "Starts at sunset on the previous day",
"weekday": "Saturday",
"year": 5787
},
{
"description": "Eighth day of Sukkot",
"duration_days": 1,
"end_date": "2026-10-03",
"key": "shemini_atzeret",
"name": "Shemini Atzeret",
"start_date": "2026-10-03",
"start_description": "Starts at sunset on the previous day",
"weekday": "Saturday",
"year": 5787
},
{
"description": "Rejoicing of the Torah",
"duration_days": 1,
"end_date": "2026-10-04",
"key": "simchat_torah",
"name": "Simchat Torah",
"start_date": "2026-10-04",
"start_description": "Starts at sunset on the previous day",
"weekday": "Sunday",
"year": 5787
},
{
"description": "Festival of Lights",
"duration_days": 8,
"end_date": "2026-12-12",
"key": "hanukkah",
"name": "Hanukkah",
"start_date": "2026-12-05",
"start_description": "Starts at sunset on the previous day",
"weekday": "Saturday",
"year": 5787
}
],
"year": 2026
}
curl --location --request GET 'https://zylalabs.com/api/13528/jewish-holidays-api/30057/jewish+holidays' --header 'Authorization: Bearer YOUR_API_KEY'
{
"from_date": "2026-08-15",
"next_holiday": {
"description": "Jewish New Year",
"duration_days": 2,
"end_date": "2026-09-13",
"key": "rosh_hashanah",
"name": "Rosh Hashanah",
"start_date": "2026-09-12",
"start_description": "Starts at sunset on the previous day",
"weekday": "Saturday",
"year": 5787
}
}
curl --location --request GET 'https://zylalabs.com/api/13528/jewish-holidays-api/30058/next+holiday' --header 'Authorization: Bearer YOUR_API_KEY'
{
"end": "2026-10-01",
"holidays": [
{
"description": "New Year for Trees",
"duration_days": 1,
"end_date": "2026-02-02",
"key": "tu_bishvat",
"name": "Tu Bishvat",
"start_date": "2026-02-02",
"start_description": "Starts at sunset on the previous day",
"weekday": "Monday",
"year": 5786
},
{
"description": "Feast of Lots",
"duration_days": 1,
"end_date": "2026-03-03",
"key": "purim",
"name": "Purim",
"start_date": "2026-03-03",
"start_description": "Starts at sunset on the previous day",
"weekday": "Tuesday",
"year": 5786
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2026-04-08",
"key": "pesach",
"name": "Pesach",
"start_date": "2026-04-02",
"start_description": "Starts at sunset on the previous day",
"weekday": "Thursday",
"year": 5786
},
{
"description": "Festival of Weeks",
"duration_days": 2,
"end_date": "2026-05-23",
"key": "shavuot",
"name": "Shavuot",
"start_date": "2026-05-22",
"start_description": "Starts at sunset on the previous day",
"weekday": "Friday",
"year": 5786
},
{
"description": "Fast of Tisha BAv",
"duration_days": 1,
"end_date": "2026-07-23",
"key": "tisha_bav",
"name": "Tisha BAv",
"start_date": "2026-07-23",
"start_description": "Starts at sunset on the previous day",
"weekday": "Thursday",
"year": 5786
},
{
"description": "Jewish New Year",
"duration_days": 2,
"end_date": "2026-09-13",
"key": "rosh_hashanah",
"name": "Rosh Hashanah",
"start_date": "2026-09-12",
"start_description": "Starts at sunset on the previous day",
"weekday": "Saturday",
"year": 5787
},
{
"description": "Day of Atonement",
"duration_days": 1,
"end_date": "2026-09-21",
"key": "yom_kippur",
"name": "Yom Kippur",
"start_date": "2026-09-21",
"start_description": "Starts at sunset on the previous day",
"weekday": "Monday",
"year": 5787
},
{
"description": "Feast of Tabernacles",
"duration_days": 7,
"end_date": "2026-10-02",
"key": "sukkot",
"name": "Sukkot",
"start_date": "2026-09-26",
"start_description": "Starts at sunset on the previous day",
"weekday": "Saturday",
"year": 5787
}
],
"start": "2026-01-01"
}
curl --location --request GET 'https://zylalabs.com/api/13528/jewish-holidays-api/30059/holidays+in+date+range' --header 'Authorization: Bearer YOUR_API_KEY'
{
"query": "Passover",
"results": [
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2020-04-15",
"key": "pesach",
"name": "Pesach",
"start_date": "2020-04-09",
"start_description": "Starts at sunset on the previous day",
"weekday": "Thursday",
"year": 5780
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2021-04-03",
"key": "pesach",
"name": "Pesach",
"start_date": "2021-03-28",
"start_description": "Starts at sunset on the previous day",
"weekday": "Sunday",
"year": 5781
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2022-04-22",
"key": "pesach",
"name": "Pesach",
"start_date": "2022-04-16",
"start_description": "Starts at sunset on the previous day",
"weekday": "Saturday",
"year": 5782
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2023-04-12",
"key": "pesach",
"name": "Pesach",
"start_date": "2023-04-06",
"start_description": "Starts at sunset on the previous day",
"weekday": "Thursday",
"year": 5783
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2024-04-29",
"key": "pesach",
"name": "Pesach",
"start_date": "2024-04-23",
"start_description": "Starts at sunset on the previous day",
"weekday": "Tuesday",
"year": 5784
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2025-04-19",
"key": "pesach",
"name": "Pesach",
"start_date": "2025-04-13",
"start_description": "Starts at sunset on the previous day",
"weekday": "Sunday",
"year": 5785
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2026-04-08",
"key": "pesach",
"name": "Pesach",
"start_date": "2026-04-02",
"start_description": "Starts at sunset on the previous day",
"weekday": "Thursday",
"year": 5786
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2027-04-28",
"key": "pesach",
"name": "Pesach",
"start_date": "2027-04-22",
"start_description": "Starts at sunset on the previous day",
"weekday": "Thursday",
"year": 5787
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2028-04-17",
"key": "pesach",
"name": "Pesach",
"start_date": "2028-04-11",
"start_description": "Starts at sunset on the previous day",
"weekday": "Tuesday",
"year": 5788
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2029-04-06",
"key": "pesach",
"name": "Pesach",
"start_date": "2029-03-31",
"start_description": "Starts at sunset on the previous day",
"weekday": "Saturday",
"year": 5789
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2030-04-24",
"key": "pesach",
"name": "Pesach",
"start_date": "2030-04-18",
"start_description": "Starts at sunset on the previous day",
"weekday": "Thursday",
"year": 5790
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2031-04-14",
"key": "pesach",
"name": "Pesach",
"start_date": "2031-04-08",
"start_description": "Starts at sunset on the previous day",
"weekday": "Tuesday",
"year": 5791
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2032-04-02",
"key": "pesach",
"name": "Pesach",
"start_date": "2032-03-27",
"start_description": "Starts at sunset on the previous day",
"weekday": "Saturday",
"year": 5792
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2033-04-20",
"key": "pesach",
"name": "Pesach",
"start_date": "2033-04-14",
"start_description": "Starts at sunset on the previous day",
"weekday": "Thursday",
"year": 5793
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2034-04-10",
"key": "pesach",
"name": "Pesach",
"start_date": "2034-04-04",
"start_description": "Starts at sunset on the previous day",
"weekday": "Tuesday",
"year": 5794
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2035-04-30",
"key": "pesach",
"name": "Pesach",
"start_date": "2035-04-24",
"start_description": "Starts at sunset on the previous day",
"weekday": "Tuesday",
"year": 5795
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2036-04-18",
"key": "pesach",
"name": "Pesach",
"start_date": "2036-04-12",
"start_description": "Starts at sunset on the previous day",
"weekday": "Saturday",
"year": 5796
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2037-04-06",
"key": "pesach",
"name": "Pesach",
"start_date": "2037-03-31",
"start_description": "Starts at sunset on the previous day",
"weekday": "Tuesday",
"year": 5797
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2038-04-26",
"key": "pesach",
"name": "Pesach",
"start_date": "2038-04-20",
"start_description": "Starts at sunset on the previous day",
"weekday": "Tuesday",
"year": 5798
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2039-04-15",
"key": "pesach",
"name": "Pesach",
"start_date": "2039-04-09",
"start_description": "Starts at sunset on the previous day",
"weekday": "Saturday",
"year": 5799
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2040-04-04",
"key": "pesach",
"name": "Pesach",
"start_date": "2040-03-29",
"start_description": "Starts at sunset on the previous day",
"weekday": "Thursday",
"year": 5800
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2041-04-22",
"key": "pesach",
"name": "Pesach",
"start_date": "2041-04-16",
"start_description": "Starts at sunset on the previous day",
"weekday": "Tuesday",
"year": 5801
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2042-04-11",
"key": "pesach",
"name": "Pesach",
"start_date": "2042-04-05",
"start_description": "Starts at sunset on the previous day",
"weekday": "Saturday",
"year": 5802
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2043-05-01",
"key": "pesach",
"name": "Pesach",
"start_date": "2043-04-25",
"start_description": "Starts at sunset on the previous day",
"weekday": "Saturday",
"year": 5803
},
{
"description": "Jewish Passover",
"duration_days": 7,
"end_date": "2044-04-18",
"key": "pesach",
"name": "Pesach",
"start_date": "2044-04-12",
"start_description": "Starts at sunset on the previous day",
"weekday": "Tuesday",
"year": 5804
}
],
"year": null
}
curl --location --request GET 'https://zylalabs.com/api/13528/jewish-holidays-api/30060/search+for+holidays' --header 'Authorization: Bearer YOUR_API_KEY'
{
"description": "Feast of Lots",
"duration_days": 1,
"end_date": "2026-03-03",
"key": "purim",
"name": "Purim",
"start_date": "2026-03-03",
"start_description": "Starts at sunset on the previous day",
"weekday": "Tuesday",
"year": 5786
}
curl --location --request GET 'https://zylalabs.com/api/13528/jewish-holidays-api/30061/get+holiday+by+key' --header 'Authorization: Bearer YOUR_API_KEY'
Después de registrarte, a cada desarrollador se le asigna una clave de acceso a la API personal, una combinación única de letras y dígitos proporcionada para acceder a nuestro endpoint de la API. Para autenticarte con el fiestas-judías- API simplemente incluye tu token de portador en el encabezado de Autorización.
| Encabezado | Descripción |
|---|---|
Autorización
|
Requerido
Debería ser Bearer access_key. Consulta "Tu Clave de Acceso a la API" arriba cuando estés suscrito.
|
Sin compromiso a largo plazo. Mejora, reduce o cancela en cualquier momento. La Prueba Gratuita incluye hasta 50 solicitudes.
Cada endpoint devuelve datos estructurados relacionados con las fiestas judías, incluidos detalles como nombres de fiestas, descripciones, fechas de inicio y final, duración y día de la semana. Por ejemplo, el endpoint "Holidays" proporciona una lista de fiestas con estos atributos
Los campos clave en los datos de respuesta incluyen "nombre" "descripción" "fecha_de_inicio" "fecha_de_fin" "duración_días" "día_de_la_semana" y "clave" Estos campos proporcionan información esencial sobre cada fiesta
Los parámetros varían según el punto final. Por ejemplo, el punto final "Obtener festividades por clave" acepta claves de festividades específicas como "pesaj" o "rosj hashana". El punto final "Festividades en rango de fechas" requiere una fecha de inicio y una fecha de finalización para filtrar
Los datos de respuesta están organizados en formato JSON donde cada festividad se representa como un objeto dentro de un array. Cada objeto contiene campos que describen la festividad lo que facilita el análisis y la utilización programática
Cada punto final proporciona información específica: el punto final "Próxima Fiesta" ofrece detalles sobre la próxima fiesta, mientras que el punto final "Buscar por Fiesta" devuelve fiestas que coinciden con una palabra clave, incluyendo sus descripciones y fechas
La precisión de los datos se mantiene a través de fuentes confiables y actualizaciones regulares La API está diseñada para proporcionar cálculos precisos de las fiestas judías basadas en calendarios establecidos asegurando que los usuarios reciban información precisa
Los casos de uso típicos incluyen integrar información sobre festividades en aplicaciones planificar eventos en torno a las festividades judías y fines educativos para aprender sobre tradiciones y observancias judías
Los usuarios pueden utilizar los datos devueltos al analizar la respuesta JSON para extraer detalles relevantes de las festividades para mostrar en aplicaciones programar recordatorios o generar informes basados en la ocurrencia de festividades